fix email routing where domain portion was not properly verified

1. quote address host for regex
2. group domain when alias is used (rather doing something stupid)

--- ./include/class.routing.php~	2005-06-28 19:52:48.605077276 +0300
+++ ./include/class.routing.php	2005-06-28 19:52:51.325629032 +0300
@@ -119,10 +119,10 @@
         $prefix = $setup['email_routing']['address_prefix'];
         // escape plus signs so 'issue+1@example.com' becomes a valid routing address
         $prefix = str_replace('+', '\+', $prefix);
-        $mail_domain = $setup['email_routing']['address_host'];
-        $mail_domain_alias = @$setup['email_routing']['host_alias'];
+        $mail_domain = quotemeta($setup['email_routing']['address_host']);
+        $mail_domain_alias = quotemeta(@$setup['email_routing']['host_alias']);
         if (!empty($mail_domain_alias)) {
-            $mail_domain = "[" . $mail_domain . "|" . $mail_domain_alias . "]";
+            $mail_domain = "(?:" . $mail_domain . "|" . $mail_domain_alias . ")";
         }
         if (empty($prefix)) {
             return array(78, "Error: Please configure the email address prefix.\n");
--- ../include/class.routing.php~	2005-06-28 19:55:40.000000000 +0300
+++ ../include/class.routing.php	2005-06-28 20:09:46.215464964 +0300
@@ -454,7 +454,7 @@
         $prefix = $setup['draft_routing']['address_prefix'];
         // escape plus signs so 'draft+1@example.com' becomes a valid address
         $prefix = str_replace('+', '\+', $prefix);
-        $mail_domain = $setup['draft_routing']['address_host'];
+        $mail_domain = quotemeta($setup['draft_routing']['address_host']);
         if (empty($prefix)) {
             return array(78, "Error: Please configure the email address prefix.\n");
         }
--- ./include/class.routing.php~	2005-06-28 20:09:46.215464000 +0300
+++ ./include/class.routing.php	2005-06-28 20:28:08.981895411 +0300
@@ -344,7 +344,7 @@
         $prefix = $setup['note_routing']['address_prefix'];
         // escape plus signs so 'note+1@example.com' becomes a valid routing address
         $prefix = str_replace('+', '\+', $prefix);
-        $mail_domain = $setup['note_routing']['address_host'];
+        $mail_domain = quotemeta($setup['note_routing']['address_host']);
         if (empty($prefix)) {
             return array(78, "Error: Please configure the email address prefix.\n");
         }
